import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetDataPropsParams, DefaultAppTokenDataProps, GetPricePerShareParams, DefaultAppTokenDefinition, GetPriceParams } from '../../../position/template/app-token.template.types';
import { AlphaBank, AlphaV1ContractFactory } from '../contracts';
export declare class EthereumAlphaV1LendingTokenFetcher extends AppTokenTemplatePositionFetcher<AlphaBank> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: AlphaV1ContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: AlphaV1ContractFactory);
    getContract(address: string): AlphaBank;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions(): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPrice({ appToken, contract, }: GetPriceParams<AlphaBank, DefaultAppTokenDataProps, DefaultAppTokenDefinition>): Promise<number>;
    getPricePerShare({ contract }: GetPricePerShareParams<AlphaBank>): Promise<number[]>;
    getLiquidity({ appToken }: GetDataPropsParams<AlphaBank>): Promise<number>;
    getReserves({ appToken, contract }: GetDataPropsParams<AlphaBank>): Promise<number[]>;
    getApy({ contract }: GetDataPropsParams<AlphaBank>): Promise<number>;
}
